# Class DefaultWorldPool

java.lang.Object
com.codename1.gaming.physics.box2d.pooling.normal.DefaultWorldPool

All Implemented Interfaces:
  `IWorldPool`

public class DefaultWorldPool extends Object implements IWorldPool
Provides object pooling for all objects used in the engine. Objects retrieved from here should only be used temporarily, and then pushed back (with the exception of arrays).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultWorldPool(int argSize, int argContainerSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDynamicStack<Contact>`
  `getChainCircleContactStack()`
  `IDynamicStack<Contact>`
  `getChainPolyContactStack()`
  `final IDynamicStack<Contact>`
  `getCircleContactStack()`
  `final Collision`
  `getCollision()`
  `final Distance`
  `getDistance()`
  `IDynamicStack<Contact>`
  `getEdgeCircleContactStack()`
  `IDynamicStack<Contact>`
  `getEdgePolyContactStack()`
  `final float[]`
  `getFloatArray(int argLength)`
  `final int[]`
  `getIntArray(int argLength)`
  `final IDynamicStack<Contact>`
  `getPolyCircleContactStack()`
  `final IDynamicStack<Contact>`
  `getPolyContactStack()`
  `final TimeOfImpact`
  `getTimeOfImpact()`
  `final Vec2[]`
  `getVec2Array(int argLength)`
  `final AABB`
  `popAABB()`
  `final AABB[]`
  `popAABB(int argNum)`
  `final Mat22`
  `popMat22()`
  `final Mat22[]`
  `popMat22(int argNum)`
  `final Mat33`
  `popMat33()`
  `final Rot`
  `popRot()`
  `final Vec2`
  `popVec2()`
  `final Vec2[]`
  `popVec2(int argNum)`
  `final Vec3`
  `popVec3()`
  `final Vec3[]`
  `popVec3(int argNum)`
  `final void`
  `pushAABB(int argNum)`
  `final void`
  `pushMat22(int argNum)`
  `final void`
  `pushMat33(int argNum)`
  `final void`
  `pushRot(int num)`
  `final void`
  `pushVec2(int argNum)`
  `final void`
  `pushVec3(int argNum)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultWorldPool

    public DefaultWorldPool(int argSize, int argContainerSize)

- ## Method Details

  - ### getPolyContactStack

    public final IDynamicStack<Contact> getPolyContactStack()
    Specified by:
      `getPolyContactStack` in interface `IWorldPool`

  - ### getCircleContactStack

    public final IDynamicStack<Contact> getCircleContactStack()
    Specified by:
      `getCircleContactStack` in interface `IWorldPool`

  - ### getPolyCircleContactStack

    public final IDynamicStack<Contact> getPolyCircleContactStack()
    Specified by:
      `getPolyCircleContactStack` in interface `IWorldPool`

  - ### getEdgeCircleContactStack

    public IDynamicStack<Contact> getEdgeCircleContactStack()
    Specified by:
      `getEdgeCircleContactStack` in interface `IWorldPool`

  - ### getEdgePolyContactStack

    public IDynamicStack<Contact> getEdgePolyContactStack()
    Specified by:
      `getEdgePolyContactStack` in interface `IWorldPool`

  - ### getChainCircleContactStack

    public IDynamicStack<Contact> getChainCircleContactStack()
    Specified by:
      `getChainCircleContactStack` in interface `IWorldPool`

  - ### getChainPolyContactStack

    public IDynamicStack<Contact> getChainPolyContactStack()
    Specified by:
      `getChainPolyContactStack` in interface `IWorldPool`

  - ### popVec2

    public final Vec2 popVec2()
    Specified by:
      `popVec2` in interface `IWorldPool`

  - ### popVec2

    public final Vec2[] popVec2(int argNum)
    Specified by:
      `popVec2` in interface `IWorldPool`

  - ### pushVec2

    public final void pushVec2(int argNum)
    Specified by:
      `pushVec2` in interface `IWorldPool`

  - ### popVec3

    public final Vec3 popVec3()
    Specified by:
      `popVec3` in interface `IWorldPool`

  - ### popVec3

    public final Vec3[] popVec3(int argNum)
    Specified by:
      `popVec3` in interface `IWorldPool`

  - ### pushVec3

    public final void pushVec3(int argNum)
    Specified by:
      `pushVec3` in interface `IWorldPool`

  - ### popMat22

    public final Mat22 popMat22()
    Specified by:
      `popMat22` in interface `IWorldPool`

  - ### popMat22

    public final Mat22[] popMat22(int argNum)
    Specified by:
      `popMat22` in interface `IWorldPool`

  - ### pushMat22

    public final void pushMat22(int argNum)
    Specified by:
      `pushMat22` in interface `IWorldPool`

  - ### popMat33

    public final Mat33 popMat33()
    Specified by:
      `popMat33` in interface `IWorldPool`

  - ### pushMat33

    public final void pushMat33(int argNum)
    Specified by:
      `pushMat33` in interface `IWorldPool`

  - ### popAABB

    public final AABB popAABB()
    Specified by:
      `popAABB` in interface `IWorldPool`

  - ### popAABB

    public final AABB[] popAABB(int argNum)
    Specified by:
      `popAABB` in interface `IWorldPool`

  - ### pushAABB

    public final void pushAABB(int argNum)
    Specified by:
      `pushAABB` in interface `IWorldPool`

  - ### popRot

    public final Rot popRot()
    Specified by:
      `popRot` in interface `IWorldPool`

  - ### pushRot

    public final void pushRot(int num)
    Specified by:
      `pushRot` in interface `IWorldPool`

  - ### getCollision

    public final Collision getCollision()
    Specified by:
      `getCollision` in interface `IWorldPool`

  - ### getTimeOfImpact

    public final TimeOfImpact getTimeOfImpact()
    Specified by:
      `getTimeOfImpact` in interface `IWorldPool`

  - ### getDistance

    public final Distance getDistance()
    Specified by:
      `getDistance` in interface `IWorldPool`

  - ### getFloatArray

    public final float[] getFloatArray(int argLength)
    Specified by:
      `getFloatArray` in interface `IWorldPool`

  - ### getIntArray

    public final int[] getIntArray(int argLength)
    Specified by:
      `getIntArray` in interface `IWorldPool`

  - ### getVec2Array

    public final Vec2[] getVec2Array(int argLength)
    Specified by:
      `getVec2Array` in interface `IWorldPool`